matchingSites {BCRANK} | R Documentation

## Report IUPAC consensus occurrences in a fasta file

### Description

This function reports all occurrences of a consensus sequence in a fasta file. It can be used to extract transcription factor binding sites predicted by BCRANK or other motif search methods.

### Usage

    matchingSites(fafile, motifSequence, revComp=TRUE, strip.desc=TRUE)

### Arguments

`fafile` | a ranked fasta file containing DNA sequences.
`motifSequence` | a character vector in IUPAC coding representing a DNA sequence.
`revComp` | set to TRUE if the reverse complement also be matched.
`strip.desc` | An argument used by the function `readFASTA()`. It specifies whether or not the ">" marking at the beginning of description lines should be removed.

### Value

Returns a data frame with positions, strand and DNA sequence for the matching sites.

### Author(s)

Adam Ameur, adam.ameur@lcb.uu.se

### References

Ameur, A., Rada-Iglesias, A., Komorowski, J., Wadelius, C. Novel algorithm and ChIP-analysis identifies candidate functional SNPs. Submitted

### See Also

`bcrank`

[Package BCRANK version 1.4.1 Index]